/* ----------------------------------------------------------------------------
 *  Copyright (C) 2005 Dallas Semiconductor Corporation, All Rights Reserved.
 * 
 *  Permission is hereby granted, free of charge, to any person obtaining a
 *  copy of this software and associated documentation files (the "Software"),
 *  to deal in the Software without restriction, including without limitation
 *  the rights to use, copy, modify, merge, publish, distribute, sublicense,
 *  and/or sell copies of the Software, and to permit persons to whom the
 *  Software is furnished to do so, subject to the following conditions:
 * 
 *  The above copyright notice and this permission notice shall be included
 *  in all copies or substantial portions of the Software.
 * 
 *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 *  OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 *  MERCHANTABILITY,  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 *  IN NO EVENT SHALL DALLAS SEMICONDUCTOR BE LIABLE FOR ANY CLAIM, DAMAGES
 *  OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
 *  ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 *  OTHER DEALINGS IN THE SOFTWARE.
 * 
 *  Except as contained in this notice, the name of Dallas Semiconductor
 *  shall not be used except as stated in the Dallas Semiconductor
 *  Branding Policy.
 *
 * ----------------------------------------------------------------------------
 */

#include <MAXQ2000.h>

void main(void)
{
   int i = 0;
   int j = 0;
   int k = 1;

   LCRA = 0x03E0;        // Set LCD configuration
   LCFG = 0xF3;          // Set up all segments as outputs, normal operation
                         //   mode, and enable display.
   while (1) {
      for (i = 0; i < 500; i++) {
         for (j = 0; j < 500; j++) {
            // delay loop
         }
      }
      k = (k << 1);
      if (k == 64) { 
         k = 1;
      }
      LCD0 = k;
      LCD1 = k;
      LCD2 = k;
      LCD3 = k;
   }
}
